#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TEMPLATEDIR=$(cd $(dirname $0); pwd)
DEPLOYMENT_PREFIX='deployment-template-'
DEPLOYMENT_SUFFIX='.cfg.xml'

for cstemplate in $*; do

    DEST=${DEPLOYMENT_PREFIX}$(basename $cstemplate .config.xml)${DEPLOYMENT_SUFFIX}
    echo "Processing '$cstemplate' to '$DEST'"
    xsltproc $TEMPLATEDIR/config-service-to-deployment.xsl $cstemplate | sed -e 's/@XML_START_COMMENT@/<!--/g; s/@XML_END_COMMENT@/-->/g; s/&#10;/\n/g; s/@NEW_LINE@//' >$DEST
done
