<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="component">
<sect2>
<title><xsl:value-of select="@name"/></title>
<para><xsl:value-of select="config-template/description"/></para>
<variablelist>
    <varlistentry>
        <term>Library:</term>
        <listitem><para><xsl:value-of select="config-template/lib"/></para></listitem>
    </varlistentry>
    <varlistentry>
        <term>Initialization:</term>
        <listitem>
            <xsl:if test="not(config-template/init)">
                <para><xsl:text>&lt;No initialization parameters&gt;</xsl:text></para>
            </xsl:if>
            <xsl:apply-templates select="config-template/init"/>
        </listitem>
    </varlistentry>
    <varlistentry>
        <term>Configuration:</term>
        <listitem>
            <xsl:if test="not(config-template/config)">
                <para><xsl:text>&lt;No configuration parameters&gt;</xsl:text></para>
            </xsl:if>
            <xsl:apply-templates select="config-template/config"/>
        </listitem>
    </varlistentry>
</variablelist>
</sect2>
</xsl:template>

<xsl:template match="init|config">
    <variablelist>
        <xsl:apply-templates select="param"/>
    </variablelist>
</xsl:template>

<xsl:template match="param">
    <varlistentry>
        <term>
            <xsl:value-of select="@name"/>
            <xsl:text> [</xsl:text>
            <xsl:value-of select="@level"/>
            <xsl:if test="@mandatory = 'true'">
                <xsl:text>/mandatory</xsl:text>
            </xsl:if>
            <xsl:text>]</xsl:text>
        </term>
        <listitem>
            <para><xsl:value-of select="description"/></para>
            <para>
                <xsl:text>Type: </xsl:text><xsl:value-of select="@type"/><xsl:text>;</xsl:text>
                <xsl:text> Default value: '</xsl:text><xsl:value-of select="value"/><xsl:text>'</xsl:text>
                
            </para>
        </listitem>
    </varlistentry>
</xsl:template>

</xsl:stylesheet>
